Configurare wine per accesso internet

9 risposte [Ultimo contenuto]
Ritratto di marcoap65
marcoap65
(Geek)
Offline
Geek
Iscritto: 27/08/2015
Messaggi: 78

Salve a tutti, ho installato il programma di grafica Anime studio 11 su un sistema debian 9. L'installazione è andata bene, ma quando provo a inserire il product key per la convalida via internet il programma di installazione dice che manca la connessione. Il sistema si connette a internet tranquillamente.
La mia domanda è come configurare wine per far in modo che il programma installato possa accedere a internet. Ho notato che non può neppure scrivere un file di testo come report per l'attivazione non in linea.
Grazie.

Ritratto di mcortese
mcortese
(Moderatore)
Offline
Moderatore
Iscritto: 27/02/2009
Messaggi: 2751

Le FAQ di Wine suggeriscono che forse manca la versione a 32 bit della libreria per la risoluzione dei nomi. Prova se questo dà dei risultati:

apt install libnss-mdns:i386

Ritratto di marcoap65
marcoap65
(Geek)
Offline
Geek
Iscritto: 27/08/2015
Messaggi: 78

Grazie, ho provato ma non cambia. però partendo dalle faq ho trovato questa discussione che parla del problema. Ho letto i commenti, ho capito che c'è un problema con l'attivazione ma parzialmente su cosa provare a fare: 1- ho provato a installare le librerie indicate ma nulla, ho cercato di caricare la libreria wininet.dll come mi sembra di aver capito, tramite winetricks, ma non me lo permette perchè dice che devo rinominare il file in ~/.cache/winetricks/win2ksp4/W2SP4_EN.exe ( ma non mi dice come!).
Grazie per l'aiuto.

Ritratto di mcortese
mcortese
(Moderatore)
Offline
Moderatore
Iscritto: 27/02/2009
Messaggi: 2751

Non ho esperienza con Wine, né con le librerie di Windows. Vedo citato winbind: hai installato tutti i pacchetti relativi (winbind, libnss-winbind), sia in versione normale, sia con il suffisso :i386?

Ritratto di marcoap65
marcoap65
(Geek)
Offline
Geek
Iscritto: 27/08/2015
Messaggi: 78

winbind c'è. Se provo ad installare winbind:i386 mi torna il seguente messaggio

sudo apt-get install winbind:i386
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:
 
I seguenti pacchetti hanno dipendenze non soddisfatte:
 winbind:i386 : Dipende: samba-common-bin:i386 (= 2:4.5.12+dfsg-2) ma non sta per essere installato
                Dipende: samba-libs:i386 (= 2:4.5.12+dfsg-2) ma non sta per essere installato
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.

posso installare gli altri pacchetti o potrebbero dare problemi?

Ritratto di mcortese
mcortese
(Moderatore)
Offline
Moderatore
Iscritto: 27/02/2009
Messaggi: 2751

Apt è rimasto in una situazione incoerente, di sicuro a causa di "maneggiamenti" non andati a buon fine. Prova il classico:

apt-get --fix-broken install

Ritratto di marcoap65
marcoap65
(Geek)
Offline
Geek
Iscritto: 27/08/2015
Messaggi: 78

Anche dopo il comando che mi hai indicato l'output è lo stesso. Davvero non ho eseguito nessun comando poco "ortodosso" nell'ultimo periodo!! Tra l'altro winbind ( nella versione a 64 bit) risulta correttamente installato.

Ritratto di mcortese
mcortese
(Moderatore)
Offline
Moderatore
Iscritto: 27/02/2009
Messaggi: 2751

Prova questo comando per vedere se ci sono pacchetti in stato bloccato:

dpkg --get-selections | grep hold

Ritratto di marcoap65
marcoap65
(Geek)
Offline
Geek
Iscritto: 27/08/2015
Messaggi: 78

output nullo. Ma installare i due pacchetti mancanti ( samba) può creare problemi?

Ritratto di mcortese
mcortese
(Moderatore)
Offline
Moderatore
Iscritto: 27/02/2009
Messaggi: 2751

No, ma è strano che non lo faccia già lui in automatico.